Valorant API Unofficial docs
API Reference Local Endpoints — Chat
GET

Chat History

Get chat history for all conversations or a specific conversation if the cid is provided

Server Local client Auth Basic · lockfile
GET https://127.0.0.1:{port}/chat/v6/messages?cid={cid}

Headers

Authorization string required
Value Basic {base64 encoded "riot:{lockfile password}"}— Base64 of riot:{lockfile password}, from the Riot Client lockfile

URL parameters

port number required

From the Riot Client lockfile.

How to get it

The port can be found from the lockfile (located at %LocalAppData%\Riot Games\Riot Client\Config\lockfile ) when the game is running. The file has the format name:pid:port:password:protocol

Query parameters

cid string optional

A chat conversation ID. The IDs of all active conversations can be found from the All Chat Info endpoint.

Other variables

lockfile password From the Riot Client lockfile.
Details

The password can be found from the lockfile (located at %LocalAppData%\Riot Games\Riot Client\Config\lockfile ) when the game is running. The file has the format name:pid:port:password:protocol

Riot Client lockfile

Response

messages array[object]
Show nested attributes Hide nested attributes 13
body string
cid string
game_name string
game_tag string
id string
mid string
name string
pid string
puuid string · uuid

Player UUID

read boolean
region string
time string

Time in milliseconds since epoch

type enum
"chat""groupchat"